? build
? jars
? org/postgresql/Driver.java
Index: org/postgresql/jdbc2/CallableStatement.java
===================================================================
RCS file: /projects/cvsroot/pgsql/src/interfaces/jdbc/org/postgresql/jdbc2/CallableStatement.java,v
retrieving revision 1.5
diff -c -r1.5 CallableStatement.java
*** org/postgresql/jdbc2/CallableStatement.java	2001/11/19 22:33:38	1.5
--- org/postgresql/jdbc2/CallableStatement.java	2001/12/08 21:02:04
***************
*** 372,376 ****
  		throw org.postgresql.Driver.notImplemented();
  	}
  
! }
  
--- 372,657 ----
  		throw org.postgresql.Driver.notImplemented();
  	}
  
! 	/* New methods in JDBC 3.0 / Java 1.4. */
! 
! 	public void registerOutParameter(String parameterName, int sqlType)
! 		throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void registerOutParameter(
! 		String parameterName, int sqlType, int scale) throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void registerOutParameter(
! 		String parameterName, int sqlType, String typeName)
! 		throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public java.net.URL getURL(int parameterIndex) throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void setURL(String parameterName, java.net.URL val) 
! 		throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void setNull(String parameterName, int sqlType) throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void setBoolean(String parameterName, boolean x) throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void setByte(String parameterName, byte x) throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void setShort(String parameterName, short x) throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void setInt(String parameterName, int x) throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void setLong(String parameterName, long x) throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void setFloat(String parameterName, float x) throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void setDouble(String parameterName, double x) throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void setBigDecimal(String parameterName, BigDecimal x) 
! 		throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void setString(String parameterName, String x) throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void setBytes(String parameterName, byte[] x) throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void setDate(String parameterName, Date x) throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void setTime(String parameterName, Time x) throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void setTimestamp(String parameterName, Timestamp x) 
! 		throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void setAsciiStream(String parameterName, java.io.InputStream x, 
! 		int length) throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void setBinaryStream(String parameterName, java.io.InputStream x, 
! 		int length) throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void setObject(String parameterName, Object x, 
! 		int targetSqlType, int scale) throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void setObject(String parameterName, Object x, int targetSqlType) 
! 		throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void setObject(String parameterName, Object x) throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void setCharacterStream(String parameterName, java.io.Reader reader, 
! 		int length) throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
  
+ 	public void setDate(String parameterName, java.sql.Date x, 
+ 		java.util.Calendar cal) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public void setTime(String parameterName, java.sql.Time x, 
+ 		java.util.Calendar cal) 
+ 		throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public void setTimestamp(String parameterName, java.sql.Timestamp x, 
+ 		java.util.Calendar cal) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public void setNull(int paramIndex, int sqlType, String typeName) 
+ 		throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public String getString(String parameterName) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public boolean getBoolean(String parameterName) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public byte getByte(String parameterName) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public short getShort(String parameterName) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public int getInt(String parameterName) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public long getLong(String parameterName) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public float getFloat(String parameterName) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public double getDouble(String parameterName) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public byte[] getBytes(String parameterName) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public Date getDate(String parameterName) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public Time getTime(String parameterName) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public Timestamp getTimestamp(String parameterName) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 						   
+ 	public Object getObject(String parameterName) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public BigDecimal getBigDecimal(String parameterName) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public Object getObject(String parameterName, java.util.Map map) 
+ 		throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public Ref getRef(String parameterName) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public Blob getBlob(String parameterName) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public Clob getClob(String parameterName) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public java.sql.Array getArray(String parameterName) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public java.sql.Date getDate(String parameterName, java.util.Calendar cal) 
+ 		throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public java.sql.Time getTime(String parameterName, java.util.Calendar cal) 
+ 		throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public java.sql.Timestamp getTimestamp(String parameterName, 
+ 		java.util.Calendar cal) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public java.net.URL getURL(String parameterName) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ }
Index: org/postgresql/jdbc2/Connection.java
===================================================================
RCS file: /projects/cvsroot/pgsql/src/interfaces/jdbc/org/postgresql/jdbc2/Connection.java,v
retrieving revision 1.16
diff -c -r1.16 Connection.java
*** org/postgresql/jdbc2/Connection.java	2001/11/25 23:26:59	1.16
--- org/postgresql/jdbc2/Connection.java	2001/12/08 21:02:04
***************
*** 339,344 ****
--- 339,413 ----
  											};
  
  
+ 
+ 	/* New methods in JDBC 3.0 / Java 1.4. */
+ 
+ 	public void setHoldability(int holdability) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public int getHoldability() throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public Savepoint setSavepoint() throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public Savepoint setSavepoint(String name) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public void rollback(Savepoint savepoint) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public void releaseSavepoint(Savepoint savepoint) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public java.sql.Statement createStatement(int resultSetType, 
+ 		int resultSetConcurrency, int resultSetHoldability) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public java.sql.PreparedStatement prepareStatement(String sql, 
+ 		int resultSetType, int resultSetConcurrency, int resultSetHoldability) 
+ 		throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public java.sql.CallableStatement prepareCall(String sql, int resultSetType,
+ 		int resultSetConcurrency, int resultSetHoldability) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public java.sql.PreparedStatement prepareStatement(
+ 		String sql, int autoGeneratedKeys) throws SQLException 
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public java.sql.PreparedStatement prepareStatement(
+ 		String sql, int[] columnIndexes) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public java.sql.PreparedStatement prepareStatement(
+ 		String sql, String[] columnNames) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
  }
  
  // ***********************************************************************
Index: org/postgresql/jdbc2/DatabaseMetaData.java
===================================================================
RCS file: /projects/cvsroot/pgsql/src/interfaces/jdbc/org/postgresql/jdbc2/DatabaseMetaData.java,v
retrieving revision 1.47
diff -c -r1.47 DatabaseMetaData.java
*** org/postgresql/jdbc2/DatabaseMetaData.java	2001/11/19 23:16:46	1.47
--- org/postgresql/jdbc2/DatabaseMetaData.java	2001/12/08 21:02:05
***************
*** 3078,3081 ****
--- 3078,3176 ----
  	{
  		return false;
  	}
+ 
+ 	/* New methods in JDBC 3.0 / Java 1.4. */
+ 
+ 	public boolean supportsSavepoints() throws SQLException
+ 	{
+ 		return false;
+ 	}
+ 
+ 	public boolean supportsNamedParameters() throws SQLException
+ 	{
+ 		return false;
+ 	}
+ 
+ 	public boolean supportsMultipleOpenResults() throws SQLException
+ 	{
+ 		return false;
+ 	}
+ 
+ 	public boolean supportsGetGeneratedKeys() throws SQLException
+ 	{
+ 		return false;
+ 	}
+ 
+ 	public java.sql.ResultSet getSuperTypes(
+ 		String catalog, String schemaPattern, String typeNamePattern) 
+ 		throws SQLException
+ 	{
+ 		// TODO: implement DatabaseMetaData.getSuperTypes()
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public java.sql.ResultSet getSuperTables(
+ 		String catalog, String schemaPattern, String tableNamePattern) 
+ 		throws SQLException
+ 	{
+ 		// TODO: implement DatabaseMetaData.getSuperTables()
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public java.sql.ResultSet getAttributes(
+ 		String catalog, String schemaPattern, String typeNamePattern, 
+ 		String attributeNamePattern) throws SQLException
+ 	{
+ 		// TODO: implement DatabaseMetaData.getAttributes()
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public boolean supportsResultSetHoldability(int holdability) 
+ 		throws SQLException
+ 	{
+ 		// TODO: implement DatabaseMetaData.supportsResultSetHoldability()
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public int getResultSetHoldability() throws SQLException
+ 	{
+ 		// TODO: implement DatabaseMetaData.getResultSetHoldability()
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public int getDatabaseMajorVersion() throws SQLException
+ 	{
+ 		// TODO: implement DatabaseMetaData.getDatabaseMajorVersion()
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public int getDatabaseMinorVersion() throws SQLException
+ 	{
+ 		// TODO: implement DatabaseMetaData.getDatabaseMinorVersion()
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public int getJDBCMajorVersion() throws SQLException
+ 	{
+ 		// TODO: implement DatabaseMetaData.getJDBCMajorVersion()
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public int getJDBCMinorVersion() throws SQLException
+ 	{
+ 		// TODO: implement DatabaseMetaData.getJDBCMinorVersion()
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public int getSQLStateType() throws SQLException
+ 	{
+ 		// TODO: implement DatabaseMetaData.getSQLStateType()
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public boolean locatorsUpdateCopy() throws SQLException
+ 	{
+ 		// TODO: implement DatabaseMetaData.locatorsUpdateCopy()
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
  }
Index: org/postgresql/jdbc2/PreparedStatement.java
===================================================================
RCS file: /projects/cvsroot/pgsql/src/interfaces/jdbc/org/postgresql/jdbc2/PreparedStatement.java,v
retrieving revision 1.23
diff -c -r1.23 PreparedStatement.java
*** org/postgresql/jdbc2/PreparedStatement.java	2001/11/25 23:26:59	1.23
--- org/postgresql/jdbc2/PreparedStatement.java	2001/12/08 21:02:05
***************
*** 1047,1051 ****
  		}
  	}
  
! }
  
--- 1047,1064 ----
  		}
  	}
  
! 	/* New methods in JDBC 3.0 / Java 1.4. */
! 
! 	public void setURL(int parameterIndex, java.net.URL x) throws SQLException
! 	{
! 		// PostgreSQL does not currently support the SQL3 DATALINK data type.
! 		throw new PSQLException("postgresql.psqlnotimp");
! 	}
  
+ 	public java.sql.ParameterMetaData getParameterMetaData() throws SQLException
+ 	{
+ 		// TODO: implement PreparedStatement.getParameterMetaData()
+ 		// This will require a jdbc3 code fork.
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ }
Index: org/postgresql/jdbc2/ResultSet.java
===================================================================
RCS file: /projects/cvsroot/pgsql/src/interfaces/jdbc/org/postgresql/jdbc2/ResultSet.java,v
retrieving revision 1.45
diff -c -r1.45 ResultSet.java
*** org/postgresql/jdbc2/ResultSet.java	2001/11/25 23:26:59	1.45
--- org/postgresql/jdbc2/ResultSet.java	2001/12/08 21:02:05
***************
*** 1709,1714 ****
  		}
  	}
  
  
! }
  
--- 1709,1778 ----
  		}
  	}
  
+ 	/*
+ 	 * JDBC 3.0 extensions, introduced in the Java 2 Platform, 
+ 	 * Standard Edition v 1.4.
+ 	 */
  
! 	/*
! 	 * According to Appendix B "Data Type Conversion Tables" of the JDBC 3.0 
! 	 * Specification, the ResultSet.getURL() methods can only be called on 
! 	 * the SQL3 data type DATALINK, which is not currently supported by 
! 	 * PostgreSQL.
! 	 */
! 	public java.net.URL getURL(int columnIndex) throws SQLException 
! 	{
! 		throw new PSQLException("postgresql.psqlnotimp");
! 	}
! 
! 	public java.net.URL getURL(String columnName) throws SQLException 
! 	{
! 		return getURL(findColumn(columnName));
! 	}
! 
! 	/*
! 	 * PostgreSQL does not yet support the SQL3 reference types.
! 	 */
! 	public void updateRef(int columnIndex, Ref x) throws SQLException
! 	{
! 		throw new PSQLException("postgresql.psqlnotimp");
! 	}
! 
! 	public void updateRef(String columnName, Ref x) throws SQLException
! 	{
! 		updateRef(findColumn(columnName), x);
! 	}
! 
! 	/* The driver does not support updateable result sets. */
! 	public void updateBlob(int columnIndex, Blob x) throws SQLException
! 	{
! 		notUpdateable();
! 	}
  
+ 	public void updateBlob(String columnName, Blob x) throws SQLException
+ 	{
+ 		updateBlob(findColumn(columnName), x);
+ 	}
+ 
+ 	public void updateClob(int columnIndex, Clob x) throws SQLException
+ 	{
+ 		notUpdateable();
+ 	}
+ 
+ 	public void updateClob(String columnName, Clob x) throws SQLException
+ 	{
+ 		updateClob(findColumn(columnName), x);
+ 	}
+ 
+ 	public void updateArray(int columnIndex, java.sql.Array x) 
+ 		throws SQLException
+ 	{
+ 		notUpdateable();
+ 	}
+ 
+ 	public void updateArray(String columnName, java.sql.Array x) 
+ 		throws SQLException
+ 	{
+ 		updateArray(findColumn(columnName), x);
+ 	}
+ }
Index: org/postgresql/jdbc2/Statement.java
===================================================================
RCS file: /projects/cvsroot/pgsql/src/interfaces/jdbc/org/postgresql/jdbc2/Statement.java,v
retrieving revision 1.14
diff -c -r1.14 Statement.java
*** org/postgresql/jdbc2/Statement.java	2001/11/19 22:33:39	1.14
--- org/postgresql/jdbc2/Statement.java	2001/12/08 21:02:05
***************
*** 161,171 ****
  	 */
  	public boolean getMoreResults() throws SQLException
  	{
  		result = ((org.postgresql.ResultSet)result).getNext();
  		return (result != null && ((org.postgresql.ResultSet)result).reallyResultSet());
  	}
  
! 	// ** JDBC 2 Extensions **
  
  	public void addBatch(String sql) throws SQLException
  	{
--- 161,190 ----
  	 */
  	public boolean getMoreResults() throws SQLException
  	{
+ 		// TODO
+ 		// The JDBC spec requires this method to implicitly close
+ 		// any current ResultSet object(s) obtained with the method
+ 		// getResultSet. This appears to be unimplemented.
+ 
  		result = ((org.postgresql.ResultSet)result).getNext();
  		return (result != null && ((org.postgresql.ResultSet)result).reallyResultSet());
  	}
  
! 	/*
! 	 * A variation on getMoreResults() which allows the caller to specify
! 	 * what should happen to the current result sets.
!      *
! 	 * This method was introduced in JDBC 3.0 / Java 1.4.
! 	 *
! 	 * Implementation of this method will require a source code fork jdbc3, 
! 	 * since it must access the new constants java.sql.CLOSE_ALL_RESULTS, 
! 	 * java.sql.KEEP_CURRENT_RESULT and java.sql.CLOSE_CURRENT_RESULT.
! 	 */
! 	public boolean getMoreResults(int current) throws SQLException
! 	{
! 		// TODO: fork jdbc3 and implement Statement.getMoreResults(int)
! 		throw org.postgresql.Driver.notImplemented();
! 	}
  
  	public void addBatch(String sql) throws SQLException
  	{
***************
*** 263,267 ****
--- 282,348 ----
  	public void setResultSetType(int value) throws SQLException
  	{
  		resultsettype = value;
+ 	}
+ 
+ 	/* New methods in JDBC 3.0 / Java 1.4. */
+ 	public java.sql.ResultSet getGeneratedKeys() throws SQLException
+ 	{
+ 		// TODO: implement Statement.getGeneratedKeys(int)
+ 		// See also DatabaseMetaData.supportsGetGeneratedKeys().
+ 
+ 		// Auto-generated keys are not currently implemented.
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public int executeUpdate(String sql, int autoGeneratedKeys) 
+ 		throws SQLException
+ 	{
+ 		// Note that implementation of this method requires a jdbc3 code fork,
+ 		// since it must access the constants Statement.RETURN_GENERATED_KEYS
+ 		// and Statement.NO_GENERATED_KEYS.
+ 
+ 		// Auto-generated keys are not currently implemented.
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public int executeUpdate(String sql, int[] columnIndexes) 
+ 		throws SQLException
+ 	{
+ 		// Auto-generated keys are not currently implemented.
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public int executeUpdate(String sql, String[] columnNames) 
+ 		throws SQLException
+ 	{
+ 		// Auto-generated keys are not currently implemented.
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public boolean execute(String sql, int autoGeneratedKeys) 
+ 		throws SQLException
+ 	{
+ 		// Auto-generated keys are not currently implemented.
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public boolean execute(String sql, int[] columnIndexes) 
+ 		throws SQLException
+ 	{
+ 		// Auto-generated keys are not currently implemented.
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public boolean execute(String sql, String[] columnNames) 
+ 		throws SQLException
+ 	{
+ 		// Auto-generated keys are not currently implemented.
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public int getResultSetHoldability() throws SQLException
+ 	{
+ 		// TODO: implement Statement.getResultSetHoldability()
+ 		throw org.postgresql.Driver.notImplemented();
  	}
  }
Index: org/postgresql/largeobject/PGblob.java
===================================================================
RCS file: /projects/cvsroot/pgsql/src/interfaces/jdbc/org/postgresql/largeobject/PGblob.java,v
retrieving revision 1.3
diff -c -r1.3 PGblob.java
*** org/postgresql/largeobject/PGblob.java	2001/11/19 22:33:39	1.3
--- org/postgresql/largeobject/PGblob.java	2001/12/08 21:02:05
***************
*** 69,72 ****
--- 69,94 ----
  		return position(pattern.getBytes(0, (int)pattern.length()), start);
  	}
  
+ 	/* New methods in JDBC 3.0 / Java 1.4 */
+ 
+ 	public int setBytes(long pos, byte[] bytes) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public int setBytes(long pos, byte[] bytes, int offset, int len) 
+ 		throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public OutputStream setBinaryStream(long pos) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public void truncate(long len) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
  }
Index: org/postgresql/largeobject/PGclob.java
===================================================================
RCS file: /projects/cvsroot/pgsql/src/interfaces/jdbc/org/postgresql/largeobject/PGclob.java,v
retrieving revision 1.3
diff -c -r1.3 PGclob.java
*** org/postgresql/largeobject/PGclob.java	2001/11/19 22:33:39	1.3
--- org/postgresql/largeobject/PGclob.java	2001/12/08 21:02:05
***************
*** 74,77 ****
--- 74,103 ----
  		throw org.postgresql.Driver.notImplemented();
  	}
  
+ 	/* New methods in JDBC 3.0 / Java 1.4 */
+ 	public int setString(long pos, String str) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public int setString(long pos, String str, int offset, int len) 
+ 		throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public OutputStream setAsciiStream(long pos) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public Writer setCharacterStream(long pos) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public void truncate(long len) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
  }
Index: org/postgresql/xa/ClientConnection.java
===================================================================
RCS file: /projects/cvsroot/pgsql/src/interfaces/jdbc/org/postgresql/xa/ClientConnection.java,v
retrieving revision 1.4
diff -c -r1.4 ClientConnection.java
*** org/postgresql/xa/ClientConnection.java	2001/11/19 23:19:21	1.4
--- org/postgresql/xa/ClientConnection.java	2001/12/08 21:02:05
***************
*** 560,567 ****
  		}
  	}
  
  
! }
  
  
  
--- 560,630 ----
  		}
  	}
  
+ 	/* New methods in JDBC 3.0 / Java 1.4 */
+ 	public void setHoldability(int holdability) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
  
! 	public int getHoldability() throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public Savepoint setSavepoint() throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public Savepoint setSavepoint(String name) throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void rollback(Savepoint savepoint) throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
! 
! 	public void releaseSavepoint(Savepoint savepoint) throws SQLException
! 	{
! 		throw org.postgresql.Driver.notImplemented();
! 	}
  
+ 	public java.sql.Statement createStatement(int resultSetType, 
+ 		int resultSetConcurrency, int resultSetHoldability) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
  
+ 	public java.sql.PreparedStatement prepareStatement(String sql, 
+ 		int resultSetType, int resultSetConcurrency, int resultSetHoldability) 
+ 		throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
  
+ 	public java.sql.CallableStatement prepareCall(String sql, int resultSetType, 
+ 		int resultSetConcurrency, int resultSetHoldability) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public java.sql.PreparedStatement prepareStatement(String sql, 
+ 		int autoGeneratedKeys) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public java.sql.PreparedStatement prepareStatement(String sql, 
+ 		int[] columnIndexes) throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ 
+ 	public PreparedStatement prepareStatement(String sql, String[] columnNames) 
+ 		throws SQLException
+ 	{
+ 		throw org.postgresql.Driver.notImplemented();
+ 	}
+ }
